From 8a740aca86b93368f321bfd6371848de6b1cc25d Mon Sep 17 00:00:00 2001
From: Haidong Yu <yuhaidong@uniontech.com>
Date: Wed, 24 Jun 2020 18:28:57 +0800
Subject: [PATCH v2 1/2] user32/tests: Add test for ShowWindow with
 SW_SHOWNOACTIVATE option.

Signed-off-by: Haidong Yu <yuhaidong@uniontech.com>
---
 dlls/user32/tests/win.c | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

diff --git a/dlls/user32/tests/win.c b/dlls/user32/tests/win.c
index 0f683f858a..4634cff7a1 100644
--- a/dlls/user32/tests/win.c
+++ b/dlls/user32/tests/win.c
@@ -6962,7 +6962,7 @@ static void test_ShowWindow_owned(HWND hwndMain)
     MONITORINFO mon_info = {sizeof(mon_info)};
     RECT rect, orig, expect, nc;
     BOOL ret;
-    HWND hwnd, hwnd2;
+    HWND hwnd, hwnd2, hwnd3;
     LONG style;
 
     GetMonitorInfoW(MonitorFromWindow(hwndMain, MONITOR_DEFAULTTOPRIMARY), &mon_info);
@@ -7085,6 +7085,24 @@ static void test_ShowWindow_owned(HWND hwndMain)
 
     DestroyWindow(hwnd2);
     DestroyWindow(hwnd);
+
+    hwnd3 = CreateWindowExA(WS_EX_NOACTIVATE, "MainWindowClass", "owned3",
+                            WS_POPUP | WS_VISIBLE, orig.left, orig.top,
+                            orig.right - orig.left, orig.bottom - orig.top,
+                            hwndMain, 0, 0, NULL);
+    ok(!!hwnd3, "failed to create window, error %u\n", GetLastError());
+
+    ShowWindow(hwndMain, SW_SHOW);
+    flush_events(TRUE);
+    SendMessageA(hwndMain, WM_SYSCOMMAND, SC_MINIMIZE, NULL);
+    ShowWindow(hwndMain, SW_SHOWNOACTIVATE);
+    flush_events(TRUE);
+
+    todo_wine
+    ok(GetWindowLongA(hwnd3, GWL_STYLE) & WS_VISIBLE, "The window should be visible\n");
+
+    DestroyWindow(hwnd3);
+    ShowWindow(hwndMain, SW_RESTORE);
 }
 
 static void test_ShowWindow_child(HWND hwndMain)
-- 
2.20.1

